function init()
	gun.name = "Beam_sustained"
	gun.shotrange = 500
	gun.shotdamage = 6
	gun.shotknockback = 4000
	gun.shotspeed = 8000
	
	--gun.firecost = .25
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.cycleBeam(1)--jumpy red-style beam
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end